Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.4/HiveService.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.4/HiveService.cs	(revision 6004)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Services.Hive/3.4/HiveService.cs	(revision 6006)
@@ -2,5 +2,4 @@
 using System.Collections.Generic;
 using System.Linq;
-using System.Security.Permissions;
 using System.ServiceModel;
 using HeuristicLab.Services.Hive.Common;
@@ -33,6 +32,6 @@
 
     #region Job Methods
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
     public Guid AddJob(Job job, JobData jobData, IEnumerable<Guid> resourceIds) {
       return trans.UseTransaction(() => {
@@ -53,6 +52,6 @@
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
     public Guid AddChildJob(Guid parentJobId, Job job, JobData jobData) {
       return trans.UseTransaction(() => {
@@ -62,39 +61,45 @@
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
     public Job GetJob(Guid jobId) {
       return dao.GetJob(jobId);
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
     public IEnumerable<Job> GetJobs() {
       return dao.GetJobs(x => true);
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
     public IEnumerable<LightweightJob> GetLightweightJobs(IEnumerable<Guid> jobIds) {
       return dao.GetJobs(x => jobIds.Contains(x.JobId)).Select(x => new LightweightJob(x)).ToArray();
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
     public IEnumerable<LightweightJob> GetLightweightChildJobs(Guid? parentJobId, bool recursive, bool includeParent) {
       return GetChildJobs(parentJobId, recursive, includeParent).Select(x => new LightweightJob(x)).ToArray();
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    public IEnumerable<LightweightJob> GetLightweightExperimentJobs(Guid experimentId) {
+      return dao.GetJobs(x => x.HiveExperimentId == experimentId).Select(x => new LightweightJob(x)).ToArray();
+    }
+
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
     public JobData GetJobData(Guid jobId) {
       return dao.GetJobData(jobId);
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
     public void UpdateJob(Job job) {
       trans.UseTransaction(() => {
@@ -103,7 +108,7 @@
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
     public void UpdateJobData(Job job, JobData jobData) {
       trans.UseTransaction(() => {
@@ -114,7 +119,7 @@
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
     public void DeleteJob(Guid jobId) {
       trans.UseTransaction(() => {
@@ -123,7 +128,7 @@
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
     public void DeleteChildJobs(Guid parentJobId) {
       trans.UseTransaction(() => {
@@ -136,7 +141,7 @@
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
     public Job UpdateJobState(Guid jobId, JobState jobState, Guid? slaveId, Guid? userId, string exception) {
       return trans.UseTransaction(() => {
@@ -156,7 +161,7 @@
 
     #region Job Control Methods
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
     public void StopJob(Guid jobId) {
       trans.UseTransaction(() => {
@@ -168,7 +173,7 @@
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
     public void PauseJob(Guid jobId) {
       trans.UseTransaction(() => {
@@ -180,7 +185,7 @@
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
     public void RestartJob(Guid jobId) {
       trans.UseTransaction(() => {
@@ -193,6 +198,6 @@
 
     #region HiveExperiment Methods
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
     public HiveExperiment GetHiveExperiment(Guid id) {
       return dao.GetHiveExperiments(x =>
@@ -202,17 +207,17 @@
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
     public IEnumerable<HiveExperiment> GetHiveExperiments() {
       return dao.GetHiveExperiments(x => x.OwnerUserId == auth.UserId || x.HiveExperimentPermissions.Count(hep => hep.Permission != Permission.NotAllowed && hep.GrantedUserId == auth.UserId) > 0);
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]    
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]    
     public IEnumerable<HiveExperiment> GetAllHiveExperiments() {
       return dao.GetHiveExperiments(x => true);
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
     public Guid AddHiveExperiment(HiveExperiment hiveExperimentDto) {
       return trans.UseTransaction(() => {
@@ -223,6 +228,6 @@
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
     public void UpdateHiveExperiment(HiveExperiment hiveExperimentDto) {
       trans.UseTransaction(() => {
@@ -231,6 +236,6 @@
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
     public void DeleteHiveExperiment(Guid hiveExperimentId) {
       trans.UseTransaction(() => {
@@ -242,5 +247,5 @@
 
     #region Login Methods
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
     public void Hello(Slave slaveInfo) {
       trans.UseTransaction(() => {
@@ -275,5 +280,5 @@
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
     public void GoodBye(Guid slaveId) {
       trans.UseTransaction(() => {
@@ -288,5 +293,5 @@
 
     #region Heartbeat Methods
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
     public List<MessageContainer> Heartbeat(Heartbeat heartbeat) {
       TriggerLifecycle(false);
@@ -296,6 +301,6 @@
 
     #region Plugin Methods
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
     public Guid AddPlugin(Plugin plugin, List<PluginData> pluginDatas) {
       return trans.UseTransaction(() => {
@@ -318,21 +323,21 @@
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
     public Plugin GetPlugin(Guid pluginId) {
       return dao.GetPlugin(pluginId);
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
     public IEnumerable<Plugin> GetPlugins() {
       return dao.GetPlugins(x => x.IsLocal == false);
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
     public IEnumerable<PluginData> GetPluginDatas(List<Guid> pluginIds) {
       List<PluginData> pluginDatas = new List<PluginData>();
@@ -354,18 +359,18 @@
 
     #region Slave Methods
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
     public Guid AddSlave(Slave slave) {
       return trans.UseTransaction(() => dao.AddSlave(slave));
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
     public Guid AddSlaveGroup(SlaveGroup slaveGroup) {
       return trans.UseTransaction(() => dao.AddSlaveGroup(slaveGroup));
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
     public Slave GetSlave(Guid slaveId) {
       return dao.GetSlave(slaveId);
@@ -376,18 +381,18 @@
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
     public IEnumerable<Slave> GetSlaves() {
       return dao.GetSlaves(x => true);
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
     public IEnumerable<SlaveGroup> GetSlaveGroups() {
       return dao.GetSlaveGroups(x => true);
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
     public void UpdateSlave(Slave slave) {
       trans.UseTransaction(() => {
@@ -396,6 +401,6 @@
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
     public void UpdateSlaveGroup(SlaveGroup slaveGroup) {
       trans.UseTransaction(() => {
@@ -404,6 +409,6 @@
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
     public void DeleteSlave(Guid slaveId) {
       trans.UseTransaction(() => {
@@ -412,6 +417,6 @@
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
     public void DeleteSlaveGroup(Guid slaveGroupId) {
       trans.UseTransaction(() => {
@@ -420,6 +425,6 @@
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
     public void AddResourceToGroup(Guid slaveGroupId, Guid resourceId) {
       trans.UseTransaction(() => {
@@ -430,6 +435,6 @@
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
     public void RemoveResourceFromGroup(Guid slaveGroupId, Guid resourceId) {
       trans.UseTransaction(() => {
@@ -440,6 +445,6 @@
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
     public Guid GetResourceId(string resourceName) {
       return trans.UseTransaction(() => {
@@ -485,10 +490,10 @@
     #region Appointment Methods
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
     public Guid AddAppointment(Appointment appointment) {
       return trans.UseTransaction(() => dao.AddAppointment(appointment));
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
     public void DeleteAppointment(Guid appointmentId) {
       trans.UseTransaction(() => {
@@ -497,5 +502,5 @@
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
     public void UpdateAppointment(Appointment appointment) {
       trans.UseTransaction(() => {
@@ -504,5 +509,5 @@
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    // [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
     public IEnumerable<Appointment> GetScheduleForResource(Guid resourceId) {
       return trans.UseTransaction(() => dao.GetAppointments(x => x.ResourceId == resourceId));
